## org.exist.validation.test
Class ApacheXmlComponentsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.validation.test.ApacheXmlComponentsTest

All Implemented Interfaces:
  junit.framework.Test

public class ApacheXmlComponentsTest
extends junit.framework.TestCase

Class for testing XML Parser and XML Transformer configuration.

Author:
  dizzzz

Constructor Summary
`ApacheXmlComponentsTest(java.lang.String testName)`

Method Summary
`static junit.framework.Test` `suite()`
`void` `testParserVersion()`
`void` `testTransformerVersion()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApacheXmlComponentsTest

    public ApacheXmlComponentsTest(java.lang.String testName)

Method Detail

### suite

    public static junit.framework.Test suite()

### testParserVersion

    public void testParserVersion()

### testTransformerVersion

    public void testTransformerVersion()

Copyright (C) Wolfgang Meier. All rights reserved.